/* woocommerce stylesheet */
.section-element{
	.ratings{
		display: none;
	}
}
.price{
	font-family: @pricefont;
	color: @pricecolor;
	font-size: 14px;
	del{
		color: @inputtext;
		font-family: @pricefont;
	}
	ins{
		font-family: @pricefont;
		color: @pricecolor;
		font-weight: 400;
	}
}
.woocommerce .cart .button, .woocommerce .cart input.button{
	width: auto !important;
}
.price-box{
	font-size: 14px;
	color: @pricecolor;
	font-family: @pricefont;
	span{
		font-family: @pricefont;
	}
	del{
		color: @inputtext;
		font-family: @pricefont;
	}
	ins{
		font-family: @pricefont;
		color: @pricecolor;
		text-decoration: none;
		font-weight: 400;
	}
}
.shop_content{
	padding-top: 30px;
}
.shop-categories{
	.product-category{
		.woocommerce-loop-category__title{
			font-size: 16px;
			text-align: center;
			padding: 10px;
			.count{
				background: none;
			}
			&:hover{
				color: @primarycolor;
				.count{
					color: @primarycolor;
				}
			}
		}
	}
}
.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, 
.woocommerce button.button:hover, .woocommerce input.button:hover{
background: linear-gradient(to bottom,@primarycolor 50%,@darkcolor 50%) no-repeat scroll right bottom / 100% 210% @primarycolor;
}
// WooCommerce onsale label
.products{
	.owl-nav{
		display: none;
	}
}
.woocommerce.single-product div.main-wrapper{
	 .woocommerce-tabs .panel #reviews #review_form_wrapper #review_form #commentform input{
	 	&#email, &#author{
	 		background: transparent !important;
			border: 1px solid @bordercolor !important;
			color: @darkcolor;
			padding: 5px;
			text-align: left;
	 	}
	 	&.submit{
	 		height: auto;
	 		line-height: 1;
	 		padding: 18.5px 40px;
	 	}
		
	}
}
.woocommerce {
	.product-wrapper, .single-product-image {
		.product-label{
			display: table;
			position: absolute;
		    text-align: center;
		    top: 36px;
		    right: -20px;		    
		    z-index: 2;
		    min-width: 100px;
		    -moz-transform: rotate(90deg);
		    -webkit-transform: rotate(90deg);
		    -o-transform: rotate(90deg);
		    -ms-transform: rotate(90deg);
		    transform: rotate(90deg);
		}
		.onsale{
			z-index: 22 !important;
		}
		.hotlabel,
		.newlabel,
		.onsale {
			position: relative;
		    background: @salecolor;
		    color: @lightcolor;
		    float: left;
		    font-family: @menufont;
		    font-size: 11px;
		    font-weight: normal;
		    height: 28px;
		    line-height: 28px;
		    padding: 0 10px;
		    text-align: center;
		    text-transform: uppercase;
		    font-weight: 500;
		    letter-spacing: 0.5px;
		    z-index: 10;
		    min-width: 50px;
		    border-radius: 0;	  
		    min-height: auto;
		    border: 0;		    
		    &:before{
	    	    border: 5px solid @salecolor;
			    border-color: transparent  transparent @salecolor @salecolor;
			    border-width: 9px 5px;
			    position: absolute;
			    right: -10px;
			    bottom: 0;
			    content: '';
		    }
		    &:after{
		    	border: 5px solid @salecolor;
			    border-color: @salecolor transparent  transparent @salecolor;
			    border-width: 9px 5px;
			    position: absolute;
			    right: -10px;
			    top: 0;
			    content: '';
		    }
			
			.sale-bg {
				display: none;
			}
			.sale-text {
				color: @saletextcolor;
			}
		}
		.onsale{
			position: relative;
			top: 0;
			left: 0;
		}
		.newlabel{
			background: @primarycolor;
			&:before{
				border: 5px solid @primarycolor;
			    border-color: transparent transparent @primarycolor @primarycolor;
			    border-width: 9px 5px;
			}
			&:after{
				border: 5px solid @primarycolor;
			    border-color: @primarycolor transparent transparent @primarycolor;
			    border-width: 9px 5px;
			}
		}
	}
	
}
//Breadcrumbs

#content{
	.breadcrumbs{
		font-size: 12px;
		margin: 20px 0;
		font-weight: normal;
		color: @primarycolor;
		text-transform: capitalize;		
		a {
			display: inline-block;
			font-weight: normal;
			&:hover {
				color: @primarycolor;
			}
		}
		span {
			color: @textcolor;
			display: inline-block;
			
			&.separator {
				margin: 0 5px;
			}
		}
	}
}
// woocommerce ratings..

.woocommerce, .woocommerce-page {
	.ratings, .woocommerce-product-rating {
		margin:10px 0 0;
		line-height: 1;
		
		.star-rating {
			display: inline-block;
			float: none;
			height: 12px;
			width: 65px;
			margin: 0;
			vertical-align: middle;
			&:before {
				content: "\f005\f005\f005\f005\f005";
				font-family: FontAwesome;
				font-size: 11px;
				letter-spacing: 3px;
			}
			span {
				display: inline-block;
				width: 120px;
				vertical-align: middle;
				&:before {
					color: @ratecolor;
					content:"\f005\f005\f005\f005\f005";
					font-family: FontAwesome;
					font-size: 11px;
					letter-spacing: 3px;
				}
			}
		}
	}
}
#archive-product,.category-image-desc{
	margin-bottom: 30px;
}
// Shop toolbar
.toolbar {
	margin: 0 0 20px;
	padding: 10px 0;
	position: relative;
	text-align: center;
	&.tb-bottom {
		padding: 0;
		border: 0;
		border-top: 1px solid @bordercolor;
		margin-bottom: 0;
	}
	.view-mode {
		float: right;
		position: relative;
		z-index: 2;
		label {
		    color: @inputtext;
		    display: inline-block;
		    font-size: 14px;
		    font-weight: 400;
		    line-height: 35px;
		    padding: 0 20px;
		    vertical-align: top;
		    margin-right: 1px;
		}
		a {
			color: @inputtext;
			float: none;
			display: inline-block;
			font-size: 20px;
			margin-right: 3px;
			width: 35px;
			height: 35px;
			text-align: center;
			line-height: 35px;
			&:hover, &.active {
				color: @darkcolor;
			}
		}
	}
	.woocommerce-result-count {
		display: inline-block;
		padding-bottom: 10px;
		height: 35px;
		line-height: 35px;	
		color: @inputtext;
		&:hover{
			color: @darkcolor;
		}
	}
	.woocommerce-ordering {
		margin: 0 0 10px 20px;
		position: relative;
		.orderby{
			height: 35px;
			line-height: 35px;
			border: none;
			color: @inputtext;
		}
		&:hover{
			.orderby{
				color: @darkcolor;
			}
		}
	}
	.woocommerce-pagination {
		margin-top: 25px;
		ul.page-numbers {
			border: none;
			margin: 30px 0;
			text-align: left;
			width: 100%;		
			li {
				border: none;
				display: inline-block;
				float: none;
				margin: 0;
				margin-right: 8px;		
				line-height: 35px;
				min-width: 35px;
				width: 35px;	
				background: transparent;
				text-align: center;
				padding: 0;
				border: 2px solid @bordercolor;			
				a, span {
					background: none;
					color: @darkcolor;
					display: inline-block;
					font-size: 14px;
					
					
					&.current{
						color: @darkcolor;
						border-color: @darkcolor;
						background: transparent;
					}
					&:hover {
						color: @darkcolor;
						border-color: @darkcolor;
						background: transparent;
						&.next, &.prev{
							&:before{
								color: @darkcolor;
								border-color: @darkcolor;
							}
						}
					}
					&.next, &.prev {
						position: relative;
						font-size: 0;
						&:before {
							background: @bordercolor;
							content: "\f105";
							font-family: FontAwesome;
							height: 100%;
							left: 0;
							text-align: center;
							text-indent: 0;
							color: @darkcolor;
							font-size: 18px;
							top: 0;
							width: 100%;
							border-radius: 100%;
							background: transparent;
						}
						&:hover {
							color: @darkcolor;
							border-color: @darkcolor;
						}
					}
					&.prev {
						&:before {
							content: "\f104";
						}
					}
				}
			}
		}
	}
}

.yith-woocompare-widget{
	a.compare{
		.buttonMixin();
		min-width: 1px;
	}
}
// List Gird products
.shop-products{
	&.products {
		.woocommerce.product{ 
			margin-bottom: 0;
		}
		.product{
			margin: 0 0 45px;
			-webkit-transition: all 0.5s ease;
			transition: all 0.5s ease;
			
			&.first {
				clear: both;
			}
			.product-wrapper {
				position: relative;
				&:hover {
					.product-image {
						a {
							img.secondary_image {
								opacity: 1;
								transform: scale(1);
								-webkit-transform: scale(1);
								-moz-transform: scale(1);
								-ms-transform: scale(1);
								-o-transform: scale(1);
							}
						}
						.quickviewbtn{
							opacity: 1;
							visibility: visible;
							-webkit-transform: scale(1);
							transform: scale(1);
						}
						ul.add-to-links{
							opacity: 1;
							filter: alpha(opacity=100);
							-webkit-transform: scale(1);
							transform: scale(1);
							visibility: visible;
							li{
							    opacity: 1;
							    filter: alpha(opacity=100);
							    -webkit-transform: scale(1);
							    transform: scale(1);
							}
						}
					}
					.list-col8{
						.gridview{
							.actions{
								opacity: 1;
								visibility: visible;
								bottom: 0;
							}
							.price-box{
								transform: translateY(-100%);
								-webkit-transform: translateY(-100%);
								-moz-transform: translateY(-100%);
								-o-transform: translateY(-100%);
								opacity: 0;
								visibility: hidden;
							}
						}
					}
				}
				
				.product-image {
					display: block;
					position: relative;
					img.error{
						display: none;
					}
					a {
						display: block;
						position: relative;
						img {
							box-shadow: none;
							float: none;
							margin: 0;
							width: 100%;
							-webkit-transition: all 0.5s ease;
							transition: all 0.5s ease;
						}
						img.secondary_image {
							left: 0;
							position: absolute;
							bottom: 0;
							top: 0;
							opacity: 0;
							z-index: 1;
							-webkit-transform: scale(0.8,1);
							-moz-transform: scale(0,1);
							-ms-transform: scale(0,1);
							-o-transform: scale(0,1);
							transition: all 0.5s ease-in-out;
							-webkit-transition: all 0.5s ease-in-out;
							-moz-transition: all 0.5s ease-in-out;
							-o-transition: all 0.5s ease-in-out;
							-ms-transition: all 0.5s ease-in-out;
						}
					}
				}
				.price-box {
					font-size: 14px;
					margin-top: 0px;
					position: relative;
					z-index: 2;
					display: inline-block;
					del {
						display: inline-block;
						float: right;
						margin-left: 10px;
						.amount {
							color: #7a7a7a;
							font-weight: 400;
							margin-right: 5px;
							text-decoration: line-through;
						}
					}
				}
				.list-col8 {
					.gridview {
						display: block;
						position: relative;
						text-align: left;
						.grid-info{
							padding-right: 25px;
							.price-box{
							-webkit-transition: transform 0.5s ease;
							-o-transition: transform 0.5s ease;
							-moz-transition: transform 0.5s ease;
							-ms-transition: transform 0.5s ease;
							transition: transform 0.5s ease;
							overflow: hidden;
							}
						}
						.actions{
							position: absolute;
							bottom: -20%;
							left: 0;
							opacity: 0;
							visibility: hidden;
							transition: all .5s ease;
							-webkit-transition: all .5s ease;
							-o-transition: all .5s ease;
							-moz-transition: all .5s ease;
							-ms-transition: all .5s ease;
						}
					}
					.listview {
						display: none;
					}
				}
				.ratings{
					margin-bottom: 10px;
				}
				h2.product-name {
				    font-family: @bodyfont;
					a{
						color: @inputtext;
						font-size: 14px;
						font-weight: 400;
						display: -webkit-box;
						max-height: 20px;
					  -webkit-line-clamp: 1;
					  -webkit-box-orient: vertical;
					  overflow: hidden;
					  text-overflow: ellipsis;

						&:hover{
							color: @primarycolor;
						}
					}
				}
				.quickviewbtn{
					.quickview{
						display: block;
						line-height:37px;
						height:37px;
						width: 20px;
						border-bottom: 1px solid @bordercolor;
						&:hover{
							&:before{
								color: @primarycolor
							}
						}
						&:before{
							content: "\f4a5";
						    font-family: Ionicons;
						    font-size: 20px;
						    color: @inputtext;
						    text-indent: 0;
						    position: absolute;
						    left: 0;
						    right: 0;
						    top: 0;
						    bottom: 0;
						    margin: auto;
						}
					}
				}
				.actions {
					.add-cart{
						margin-bottom: 0;
						li{
							.add_to_cart_inline{
								border: none !important;
								margin: 0;
								padding: 0 !important;
								color: @pricecolor;
								position: relative;
								del,ins{
									font-size: 0;
									display: none;
								}
								a.button{
								    color: @pricecolor;
								    font-family: @bodyfont;
								    padding: 0;
								    text-align: left;
								    font-weight: 500;
								    font-size: 14px;
								    padding-bottom: 10px;
								    margin: auto;
								    background: none;
								    border-bottom: 1px solid @bordercolor;
								    border-radius: 0;
								    text-transform: none;
								    transition: all 0.4s ease;
								    -webkit-transition: all 0.4s ease;
								    -moz-transition: all 0.4s ease;
								    -o-transition: all 0.4s ease;
								    &:before{
								    	content: "+";
								    	padding-right: 3px;
								    }
									&:hover{
										color: @primarycolor;
										&:before{
											color: @primarycolor;
										}
									}
								}
							}
						}
					}
					ul.add-to-links{
						margin: 0;
						padding: 2px 13px;
						background: @lightcolor;
						list-style: none;
					    position: absolute;
					    bottom: 15px;
					    right: 15px;
						text-align: center;
						z-index: 11;
						-webkit-transition: all 0.4s ease;
						transition: all 0.4s ease;
						border-radius: 3px;
						li{
							&:last-child{
								margin-bottom: 2px;
							}
							display: block;
							position: relative;
							text-align: center;
							margin-top: 5px;
						    -webkit-transition: all 0.4s ease;
						    transition: all 0.4s ease;
						    -webkit-transform: scale(0,1);
						    transform: scale(0,1);
						    opacity: 0;
						    filter: alpha(opacity=0);
							.clear{
								display: none;
							}

							.yith-wcwl-add-to-wishlist{
								margin: 0;
								.show {
									float: left;
									position: relative;
									width: 100%;
									
									.feedback {
										display: none;
									}
								}
								a, a.add_to_wishlist {
									display: block;
									line-height:37px;
									height:37px;
									width: 20px;
									color: @inputtext;
									padding: 0;
									font-size: 0;
									font-weight: normal;
									text-indent: -9999px;
									&:before{
										content: "\f387";
									    font-family: Ionicons;
									  	font-size: 20px;
										text-indent: 0;
										position: absolute;
										left: 0;
										right: 0;
										top: 0;
										bottom: 0;
										margin: auto;
								    }
								    &:hover{
										&:before{
											color: @primarycolor;
										}
								    }
								}
								.yith-wcwl-wishlistexistsbrowse, .yith-wcwl-wishlistaddedbrowse{
									a {
										color:@primarycolor;
										&:hover {
											color: @primarycolor;
										}
									}
								}
							}
							.compare-button{
								a.compare {
									display: block;									
									line-height:37px;
									height:37px;
									width: 20px;
									border-bottom: 1px solid @bordercolor;
									text-align: center;
									color: @inputtext;
									padding: 0;
									font-weight: normal;
									font-size: 0;
									background: none;
									text-indent: -9999px;
									min-width: 1px;
									&:before{
										content: "\f39d";
									    font-family: Ionicons;
									  	font-size: 20px;
										text-indent: 0;
										position: absolute;
										left: 0;
										right: 0;
										color: @inputtext;
										top: 0;
										bottom: 0;
										margin: auto;
								    }
								    &:hover{
										&:before{
											color: @primarycolor;
										}
								    }
								    &.added {
										color:@primarycolor;
										&:hover {
											color: @primarycolor;
										}
									}
								}
							}
						}
						
					}
				}
			}
		}
	}
	&.grid-view {
		.product-wrapper {
			&:hover{
				.list-col4{
					.product-image{
					}	
				}
				.list-col8{
				}
			}
			.actions{
				ul.add-to-links{
					-webkit-transform: scale(0,1);
					transform: scale(0,1);
					opacity: 0;
					filter: alpha(opacity=0);
					visibility: hidden;
				}
			}
			.list-col8 {
				margin: 20px 0 0;
				overflow: hidden;
				position: relative;
				.actions {
					z-index: 11;
					-webkit-transition: all 0.5s ease;
					transition: all 0.5s ease;
				}
				.gridview{
				}
			}
		}
	}
	&.list-view {			
		width: 100%;
		&.sidebar{
			.product .product-wrapper .list-col8 .listview .product-desc{
				display: -webkit-box;
			  -webkit-line-clamp: 2;
			  -webkit-box-orient: vertical;
			  overflow: hidden;
			  text-overflow: ellipsis;
			  p{
			 	 overflow: hidden;
			  }
			}
		}
		.product{
			padding: 0;
			.product-wrapper {
				.list-col8 {
					.gridview {
						display: none;
					}
					.listview {
						display: block;
						text-align: left;
						h2.product-name {
							margin-bottom: 20px;
							position: relative;
							margin-top: 0;
							a{
								color: @inputtext;
								&:hover{
									color: @primarycolor;
								}
							}
						}
						.product-desc{
							p{
								line-height: 24px;
							}
						}
						.price-box{
							margin: 12px 0;
							font-family: @pricefont;
							color: @pricecolor
							del{
								.amount{
									font-size: 17px;
								}
							} 
						}
						.ratings {
							margin-bottom: 0;
							.star-rating{
								margin: 12px 0;
							}
						}
						.actions{
							position: static;
							margin: 20px 0 0;
							.add-to-links{
							    position: static;
							    margin-top: 20px;
							    padding: 0;
								li{
									float: left;
									margin-right: 10px;
									height: 45px;
									opacity: 1;
								    filter: alpha(opacity=100);
								    -webkit-transform: scale(1);
								    transform: scale(1);
									.yith-wcwl-add-to-wishlist a.add_to_wishlist,
									.compare-button a.compare,
									a{
										height: 45px;
										line-height: 45px;
										width: 45px;
										color: @darkcolor;
										padding: 0 20px; 
										font-family: @headingfont;
										font-weight: 400;
										border: 2px solid @bordercolor;
										font-size: 12px;
										border-radius: 0;
										min-width: 1px;
										&:hover{
											color: @darkcolor;
											border-color: @darkcolor;
											&:before{
												color: @darkcolor;
											}
										}
									}
									.add_to_cart_inline{
										padding: 0 !important;
										border: none !important;
										.woocommerce-Price-amount{
											display: none;
										}
										a{
											.buttonMixin();
											text-align: center;
											min-width: 240px;
											padding: 13.5px 30px;
											font-weight: 500;
											text-transform: none;
											font-size: 14px;
											color: @darkcolor;
											border: 2px solid @bordercolor;
											background: linear-gradient(to bottom,@darkcolor 50%,@lightcolor 50%) no-repeat scroll right bottom / 100% 210% @darkcolor;
											&:before{
											    content: "+";
											    padding-right: 3px;
											}
											&:hover{
												border-color: @darkcolor;
												&:before{
													color: @lightcolor;
												}
											}
										}
									}
								}
							}
						}
					}
				}
				.list-col4{
					.product-image{
						.actions{
							display: none;
						}
					}
				}
			}
		}
	}
}
//fullwidth

//product-group
.product-group{
	.vc_separator h4{
	font-weight: 500;
	font-size: 20px !important;
	}
	.vc_widget_title {
		font-size: 20px;
		color: @headingcolor;
		text-align: left;
		margin-bottom: 40px;
	}
	.add-cart{
	}
	.owl-theme{
		.owl-nav{
			display: block;
			position: absolute;
			right: 0;
			top: -3px;
			opacity: 1;
			visibility: visible;
			margin-top: -70px;
			> div{
				position: static;
				border-radius: 0;
				width: 20px;
				margin: 0;
				.transition();
				background: transparent;
				&.owl-prev{
					&:before{
						border-right: 1px solid @bordercolor;
						text-align: left;
					}
				}
				&:before{
					font-size: 16px;
					line-height: 15px;					
					color: @inputtext;
				}
				&.owl-next{
					&:before{
						text-align: right;
					}
				}
				&:hover{

				}
			}
		}
	}
	.shop-products.products{
		.product{
			margin-bottom: 20px;
			.product-wrapper{
				h2.product-name{
					a{
						color: #4e4e4e;
						&:hover{
							color: @primarycolor;
						}
					}
				}
			}
		}
	}
}
// .product_list_widget..

.product_list_widget{
	.item-product-widget{
		overflow: hidden;
		margin-bottom: 20px;
		&:last-child{
			border-bottom: 0;
		}
		.images{
			width: 90px !important;
		}
		.product-meta{
			overflow: hidden;
			position: relative;
			zoom:1;
			padding-left: 15px;
			.product-title{
				a{
					font-weight: 500;
					text-transform: none;
					font-weight: 400;
					font-family: @bodyfont;
					font-size: 16px;
					color: #606060;
					&:hover{
						color: @primarycolor;
					}
				}
			}
			.separator{
				margin: 5px 0;
				.star-rating{
					float:none;
					font-size: 11px;
				}
			}
			.price{
				font-weight: bold;
				.amount{
					margin-right: 5px;
				}
				del{
					text-decoration: line-through;
				}
			}
		}
	}
}

// product-view
div [itemprop="description"]{
	color: @darkcolor;
	font-size: 14px;
	margin-bottom: 30px;
	line-height: 24px;
}
.single-product{
	overflow-x: hidden;
	.product-view{
		margin-bottom: 50px;
		background-color: @bgproduct-detail;
		box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-webkit-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-moz-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-ms-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-o-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		padding-bottom: 15px;
		overflow: hidden;
	}
	.woocommerce-breadcrumb, .breadcrumbs{
		background-color: @bgproduct-detail;
		box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-webkit-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-moz-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-ms-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		-o-box-shadow: 1000px 0 @bgproduct-detail, -1000px 0 @bgproduct-detail;
		font-size: 12px;
		padding: 0px 0 30px;
		margin-bottom: 0;
		font-weight: normal;
		color: @darkcolor;
		text-transform: capitalize;	
		border: 0;	
		a {
			display: inline-block;
			font-weight: normal;
			&:hover {
				color: @primarycolor;
			}
		}
		span {
			display: inline-block;
			
			&.separator {
				margin: 0 5px;
			}
		}
	}
	.related_products_widget{
		padding-top: 15px;
		overflow: hidden;
		text-align: center;
		.widget-title{
			font-size: 36px;
			color: @headingcolor;
			font-family: @headingfont;
			text-align: center;
			display: inline-block;
			position: relative;
			text-transform: capitalize;
			padding: 0 50px;
			margin-bottom: 50px;
			&:before{
				content: "";
			    display: block;
			    width: 1168px;
			    left: 100%;
			    position: absolute;
			    top: 0.7em;
			    border-top: 1px solid @bordercolor;
			}
			&:after{
				content: "";
			    display: block;
			    width: 1168px;
			    right: 100%;
			    left: auto;
			    position: absolute;
			    top: 0.7em;
			    border-top: 1px solid @bordercolor;
			}
		}
	}

}
.woocommerce{
	div.main-wrapper{
		.product-view{
			div.single-product-image{
				.onsale{
					display: none;
				}
				div.images{
					width: 100% !important;
					margin-bottom: 0px;
				}
			}
			.single-product-image{
				padding-top: 15px;
			}
			div.single-product-info{
				width: 100% !important;
				padding-top: 15px;
				h1.product_title{
				    font-size: 24px;
				    text-align: left;
				    margin-bottom: 25px;
				    color: @darkcolor;
				    position: relative;
				    text-transform: none;
				    font-family: @bodyfont;
				    font-weight: 500;
				    &:after{
				    	display: none;
				    }
				}
				
				.woocommerce-product-rating{
					a.woocommerce-review-link{
						margin: 0 0 0 5px;
					}
				}
				p.price{
					margin: 25px 0;
					font-size:24px;
					text-decoration: none;
					font-weight: 400;
					color: @pricecolor;
					padding-bottom: 20px;
					margin-bottom: 30px;
					border-bottom: 1px solid @bordercolor;
					ins{
						text-decoration: none;
					}
					del{
						.amount{
							margin: 0 5px 0 0;
						}
					}
					.woocommerce-Price-amount{
						font-weight: 400;
					}
				}
				.widget_socialsharing_widget{
					clear: both;
					h3{
					    display: inline-block;
					    font-weight: normal;
					    font-size: 14px;
					    margin: 0 0 5px;
					    text-transform: capitalize;
					    font-family: @bodyfont;
					    margin-top: 20px;
					    &:after{
					    	display: none;
					    }

					}
					.social-icons{
						display: inline-block;
						li{
							list-style: none;
							display: inline-block;
							margin: 0 10px;
							a{
								display: inline-block;
							    font-size: 18px;
							    color: #6c6c6c;
							    text-align: center;
							}
						}
					}
				}
				form.cart{
					margin-bottom: 20px;
					margin-right: 10px;
					display: inline-block;
					float: left;
					width: 100%;
					button{
						&:before{
							content: "+";
							padding-right: 5px;

						}
						.buttonMixin();
						font-size: 14px;
						color: @lightcolor;
						padding: 0 50px;
						text-transform: capitalize;
						height: 50px;
						line-height: 50px;
					}
					.quantity{
						margin: 0 10px 5px 0;
						input{
							height: 50px;
							line-height: 50px;
							border: 1px solid @bordercolor;
							width: 60px;
							font-size: 16px;
							padding: 0;
						}
					}
					.variations{
						td{
							 padding-top: 0;
							 display: block;
						}
						.label{
							display: block;
							color: @darkcolor;
							font-size: 14px;
							padding: 10px 10px 0px 0;
							text-align: left;
						}
						.value{
							select{
								border: 1px solid @bordercolor;
								height: 46px;
								line-height: 46px;
								padding: 0 10px;
								width: 100%;
							}
						}
						label{
							font-weight:normal;
						}
					}
					.single_variation_wrap{
						.single_variation{
							margin: 20px 0;
							.price{
								color: @primarycolor;
								font-size: 24px;
								line-height: 30px;
							}
						}
					}
					.group_table{
						td{
							vertical-align: inherit;
							padding: 10px 5px 10px 10px;
							border: 0;
						}
						.label label{
							font-size: 14px;
							font-weight: normal;
							margin: 25px 0 0;
						}
						.price{
							font-size: 16px;
							font-weight: normal;
						}
					}
				}
				form.variations_form.cart{
					display: block;
					width: 100%;
				}
				.yith-wcwl-add-to-wishlist{
					float: left;
					vertical-align: top;
					margin: 0 10px 5px 0;
					position: relative;
					.feedback{
						display: none;
					}
					.yith-wcwl-wishlistaddedbrowse, .yith-wcwl-wishlistexistsbrowse{
						a:before{
							border-color: @darkcolor;
							color: @darkcolor;
						}
					}
					a{
						display: block;
						line-height: 55px;
						height: 55px;
						width: 55px;
						text-align: center;
						padding: 0;
						font-size: 0;
						font-weight: normal;
						text-indent: -9999px;
						&:hover{
							&:before{
								border-color: @darkcolor;
								color: @darkcolor;
							}
						}
						&:before{
							transition: all 0.5s ease;
							-webkit-transition: all 0.5s ease;
							-moz-transition: all 0.5s ease;
							-mstransition: all 0.5s ease;
							-o-transition: all 0.5s ease;
							content: "\f387";
						    font-family: Ionicons;
						  	font-size: 20px;
						  	text-indent: 0;
						  	color: #969696;
						  	width: 55px;
						  	height: 55px;
						  	line-height:53px;
						  	text-align: center;
						  	float: left;
						  	border: 2px solid @bordercolor;
						}
					}
					img.ajax-loading{
						position: absolute;
						right: 0;
						top: 10px;

					}
				}
				.clear{
					display: none;
				}
				a.compare{
					text-indent: -99999px;
					position: relative;
					float: left;
					vertical-align: top;
					padding: 0;
					background: transparent;
					&:hover{
						&:before{
							border-color: @darkcolor;
							color: @darkcolor;
						}
					}
					&:before{
						transition: all 0.5s ease;
						-webkit-transition: all 0.5s ease;
						-moz-transition: all 0.5s ease;
						-ms-transition: all 0.5s ease;
						-o-transition: all 0.5s ease;
						content: "\f39d";
					    font-family: Ionicons;
					  	font-size: 20px;
					  	text-indent: 0;
					  	width: 55px;
					  	height: 55px;
					  	line-height: 53px;
					  	text-align: center;
					  	float: left;
					  	color: #969696;
					  	border: 2px solid @bordercolor;
					  	background-color: transparent;
					}
				}
				
				.product_meta{
					margin-top: 30px;
					border-top: 1px solid @bordercolor;
					padding: 20px 0 0;
					clear: both;
					float: left;
					width: 100%;
					.sku_wrapper{
						text-transform: capitalize;
						margin: 0 5px 5px 0;
						display: block;
						span{
							text-transform: none;
							font-weight: normal;
						}
					}
					.posted_in,.tagged_as{
						text-transform: capitalize;
						margin: 0 5px 5px 0;
						display: block;
						a{
							text-transform: none;
							font-weight: normal;
						}
					}
				}
			}
		}
		// .woocommerce-tabs
		.woocommerce-tabs{
			margin: 0 0 40px;
			ul.tabs{
				padding: 0;
				margin: 30px 0;
				text-align: center;
				&:before{
					display: none !important;
				}
				li{
					margin: 0;
					margin-right: 10px;
					border: 0;
					padding-bottom: 15px;
					background: none;
					position: relative;
					font-family: @headingfont;
					font-size: 16px;

					&:before{
						display: none;
					}
					a{
						font-size:18px;
						padding: 0;
						font-weight: 500;
						color: #a3a3a3;
					}
					&:hover,
					&.active{
						a{
							color: @darkcolor;
						}
						&:after{
							border-top-color: @primarycolor;
						}
					}
				}
			}
			#tab-description{
				p{
				}
			}
			.panel{
				box-shadow:none;
				> h2{
					font-weight: normal;
					margin: 0 0 20px;
					display: none;
				}
				p{
					line-height: 24px;
				}
				table.shop_attributes{
					th{
						border-left: 1px solid @bordercolor;
					}
					td{
						p{
							padding-left: 15px;
						}
					}
				}
				#reviews{
					#comments{
						float: left;
						width: 30%;
						padding-right: 20px;
						h2{
						    font-size: 14px;
						    color: #383838;
						    text-transform: uppercase;
						    margin-bottom: 24px;
						    font-weight: 400;
						}
					}

					#review_form_wrapper{
						float: left;
						width: 70%;
						padding: 0 0 0 30px;
						border-width: 0 0 0 1px;
						border-style: solid;
						border-color: @bordercolor;
						#review_form{
							#reply-title{
							    font-size: 14px;
							    color: #383838;
							    text-transform: uppercase;
							    margin-bottom: 24px;
							    font-weight: 400;
							}
							#commentform{
								p{
									label{
										display: block;
										font-weight: normal;
									}
								}
								input{
									max-width: 500px;
									.buttonMixin;
									border-radius: 0;
									text-transform: capitalize;
								}
								p.form-submit{
									input{
										padding: 0 20px;
										height: 35px;
										line-height: 35px;
									}
								}
							}
						}


					}
				}
			}
		}

	}
}
.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{
	.buttonMixin();
	min-width: 190px;
	text-align: center;
}
// upsells,related

.related_products_widget,.upsells{
	margin: 30px 0;
}
.cross-sells{
	margin: 30px 0 0;
}
// Check Out
.woocommerce-checkout{
	#payment{
		background: none;
		ul.payment_methods{
			padding-left: 0;
			border-bottom: 1px solid @bordercolor;
			margin-bottom: 15px;
			li{
				font-size: 16px;
				font-family: @bodyfont;
				color: #060606;
			}
		}
	}
}
.select2-container .select2-selection--single{
	height: 40px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
	line-height: 40px;
}
.main-wrapper{
	.site-content{
		.entry-content{
			.woocommerce-checkout{
				.woocommerce-shipping-fields{
					label{
					    color:@darkcolor;
					    font-weight:normal;
					    margin: 0 0 5px;
					}
					.input-text {
					    max-width: 100%;
					    padding: 0 0 0 10px;
					}
					#order_comments{
						height: 90px;
   						 padding: 15px
					}
				}
				.woocommerce-billing-fields{
					label{
					    color:#333;
					    font-weight:400;
					    font-size: 14px;
					    margin: 0 0 5px;
					}
					.input-text {
					    max-width: 100%;
					    padding: 0 0 0 10px;
					}
					#order_comments{
						height: 90px;
   						 padding: 15px
					}
				}
				.woocommerce-additional-fields__field-wrapper{
					label{
						font-weight: 400;
					}
				}
				.woocommerce-additional-fields{
					margin-bottom: 30px;
				}
				.order_box{
					#order_review_heading{
						font-size: 18px;
					    color: @headingcolor;
					    position: relative;
					    padding-bottom: 18px;
					    margin-bottom: 25px;
					    margin-top: 30px;
					    border-bottom: 1px solid @bordercolor;
					}
					#order_review{
						.shop_table{
							border: 0;

							th{
								border:0;
								border-bottom: 1px solid @lightcolor;
								font-size: 14px;
								padding: 15px 0;
								&.product-name,&.product-total{
									padding-left: 0px;
								}
							}
							td{
								border-color: @lightcolor;
								border-top: 0;
								.amount{
									font-size: 16px;
									font-weight: normal;
									font-family:arial;
									padding-left: 0;
									color: @primarycolor;
								}
								&.product-total{
									padding-left: 0;
								}
							}
							tfoot{
								td{
									border-color: @lightcolor;
									border-right: 0;
									padding-left: 0;
								}
								.cart-subtotal{
									.amount{
										font-size: 18px;
										font-weight: bold;
										color: @primarycolor;
									}
								}
								.shipping{
									th{
										padding-left: 20px;
										text-transform: uppercase;
									}
								}
								.order-total{
									.amount{
										font-size: 18px;
										font-weight: bold;
										color: @primarycolor;
									}
								}

							}
							.cart_item{
								td{
									border-right: 0;
								}
								.product-name{
									border-top: 0;
									padding-left: 0;
								}
							}
						}
					}

				}
				#payment{
					label{
						font-weight: 400;
					}
				}
			}
		}
	}
	
}
// View Cart
.main-wrapper{
	.site-content{
		.woocommerce{
			.cart_totals {
				.shop_table{
					tbody{
						tr{
							th{
								font-weight: 400;
								border-bottom: 0;
							}
							td{
								font-family: @pricefont;
								color: @textcolor;
								span{
									font-weight: 400 !important;
								}
							}
							&.order-total{
								td{
									border-bottom: 0;
								}
							}
						}
					}
				}
				.wc-proceed-to-checkout{
					a{
						margin-left: 0;
						font-weight: 600;
						letter-spacing: 0.5px;
					}
				}
			}
			table.shop_table{
				border-right: 0;
				border-radius: 0;
				box-shadow: none;
				td{
					border-top: 0;
					padding: 20px 28px;
					&.product-name{
						padding-left: 10px;
					}
					&.product-subtotal,
					&.product-price{
						color: @primarycolor;
					}
				}
				thead{
					tr{
						th{
							text-transform: capitalize;
							font-weight: 500;
							color: @darkcolor;
						}
					}
				}
				tbody{
					tr{
						td.actions{
							border-bottom: 0;
							.coupon{
								.input-text{
									height: 50px;
									width: auto !important;
									margin: 0 20px 5px 0;
									background: none;
								}
								.button{
									margin-bottom: 5px;
									font-weight: 600;
									letter-spacing: 0.5px;
								}
							}
							.button{
								font-weight: 600;
								letter-spacing: 0.5px;
							}
						}
						.product-price,.product-subtotal{
							color: @darkcolor;
							font-family: @pricefont;
						}
						img{
							width: 100px;
						}
					}
				}
			}
			.cart_totals{
				margin: 30px 0 0;
				h2{
					margin: 0 0 20px;
					font-size:20px;
					font-weight: 500;
					padding-bottom: 10px;
					position: relative;
					font-size: 18px;
				}
				.cart-subtotal,.order-total{
					.amount{
						font-size: 16px;
						font-weight: bold;
					}

				}
				.woocommerce-shipping-calculator{
					a{
						color: @primarycolor;
						&:hover{
							text-decoration: underline;
						}
					}
					.shipping-calculator-form{
						select{
							height: 35px;
						}
					}
				}
			}
			a.remove{
				color: @darkcolor !important;
				font-size: 18px;
				font-weight: 400;
			}
		}
	}
}
.woocommerce #respond input#submit.disabled, .woocommerce #respond input#submit:disabled, .woocommerce #respond input#submit:disabled[disabled], .woocommerce a.button.disabled, .woocommerce a.button:disabled, .woocommerce a.button:disabled[disabled], .woocommerce button.button.disabled, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce input.button.disabled, .woocommerce input.button:disabled, .woocommerce input.button:disabled[disabled]{
	.buttonMixin();
}
// wishlist table
.main-wrapper{
	.site-content{
		.woocommerce{
			.wishlist_table{
				td.product-add-to-cart{
					a{
						display: inline-block !important;
					}
				}
				td{
					font-size: 14px;
				}
				.product-thumbnail{
					padding: 10px;
				}
			}
			.wishlist-title{
				margin: 0 0 20px;
				h2{
					line-height: 1.2;
				}
			}
		}
	}
}
.load-more-product{
	img{
		display: inline-block;
		padding: 0 10px;
	}
}
// Quick view
.quickview-wrapper {
	background: rgba(0,0,0,0.7);
    bottom: 0;
    height: 100%;
    left: 0;
    opacity: 0;
    overflow-y: auto;
    position: fixed;
    right: 0;
    top: 0;
    visibility: hidden;
    width: 100%;
    z-index: 12000;
	-webkit-transition: all 0.5s ease;
	transition: all 0.5s ease;
	.overlay-bg{
		background: url('../images/loading.gif') center center no-repeat;
		position: absolute; 
		width: 100%; 
		height: 100%; 
		top: 0; 
		left: 0; 
		z-index: 10; 
		cursor: pointer;
		opacity: 1;
		-webkit-transition: all 1s ease;
		transition: all 1s ease;
	}
	&.open {
		opacity: 1;
		visibility: visible;
		.overlay-bg{
			opacity: 0;
		}
	}
	.qvbtn {
		border: 1px solid @lightcolor;
		color: @lightcolor;
		cursor: pointer;
		display: block;
		font-size: 32px;
		height: 50px;
		left: 30px;
		position: absolute;
		text-align: center;
		top: 30%;
		width: 50px;
		-webkit-transition: all 0.5s ease;
		transition: all 0.5s ease;
	
		&:hover {
			background: @primarycolor;
		}
		&.qvnext {
			left: auto;
			right: 30px;
		}
		i {
			line-height: 48px;
		}
	}
	.quick-modal {
		background: @lightcolor;
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
		margin: 5% auto;
		max-width: 96%;
		min-height: 300px;
		padding: 40px;
		position: relative;
		top: 0;
		z-index: 20;
		width: 870px;
		-webkit-transition: all 0.5s ease;
		transition: all 0.5s ease;
		-webkit-transform: rotateX(90deg); /* Safari */
		transform: rotateX(90deg);
		&.show{
			-webkit-transform: rotateX(0deg); /* Safari */
			transform: rotateX(0deg);
		}
		.qvloading {
			background: @lightcolor url('../images/loading.gif') no-repeat center center;
			display: none;
			height: 100%;
			left: 0;
			position: absolute;
			top: 0;
			width: 100%;
			opacity: 0.7;
			z-index: 1;
		}
		.closeqv {
			background: linear-gradient(to bottom, @darkcolor 50%, @primarycolor 50%) no-repeat scroll right bottom / 100% 210% @darkcolor;
			cursor: pointer;
			display: block;
			height: 40px;
			line-height: 38px;
			position: absolute;
			right: 0;
			text-align: center;
			top: 0;
			width: 40px;
			z-index: 2;
			-webkit-transition: all 0.5s ease;
			transition: all 0.5s ease;
			color: @lightcolor;			
			&:hover {
				background-position: right top;
			}
		}
	}

	#quickview-content {
		background: @lightcolor;
		
		.product-images {
			float: left;
			width: 40%;
			
			.quick-thumbnails {
				float: left;
				margin: 0;
				width: 100%;
			}
			.main-image {
				width: 100%;
				margin-bottom: 10px;
				img {
					box-shadow: none;
				}
			}
		}
		.product-info {
			padding-left: 30px;
			overflow: hidden;
			zoom:1;
			table{
				border: 0;
				&.variations{
					border-top: 1px solid @bordercolor;
				}
			}
			h1 {
				font-size: 16px;
			    text-align: left;
			    margin-bottom: 30px;
			    color: @inputtext;
			    position: relative;
			    text-transform: none;
			    font-family: @bodyfont;
			    font-weight: 400;
			    letter-spacing: 0.5px;
			}
			td.label{
				padding: 5px 0;
				text-align: left;
				border-radius: 0;
				vertical-align: middle;
				font-size: 100%;
				font-weight: normal;
				text-transform: capitalize;
			}
			.woocommerce-grouped-product-list-item__label,
			.woocommerce-grouped-product-list-item__price{
				display: table-cell;
			}
			td{
				display: block;
				border: 0;
				padding: 5px 0;
			}
			.price-box {
				font-weight: 400;
				margin: 0 0 12px;
				font-size: 14px;
				p {
					margin: 0;
				}
				ins {
					color: @darkcolor;
				}
				del {
					color: @inputtext;
				}
			}
			.see-all {
				margin-bottom: 30px;
				text-decoration: underline;
				display: block;				
				&:hover {
					color: @primarycolor;
				}
			}
			.quick-add-to-cart {
				border-bottom: 1px solid @bordercolor;
				margin: 0 0 20px;
				padding: 0 0 20px;				
				.product_title, .price-box {
					display: none;
				}
				.woocommerce-product-rating {
					margin: 0 0 20px;					
					.star-rating {
						color: @ratecolor;
						float: left;
						font-size: 10px;
						height: 12px;
						margin-right: 5px;
						margin-top: 3px;
						
						&:before {
							color: #b7b7b7;
						}
					}
					a.woocommerce-review-link {
						float: left;
						line-height: 14px;
						text-decoration: underline;
						
						&:hover {
							color: @primarycolor;
						}
					}
				}
				.cart {
					margin-bottom: 10px;
					.quantity {			
						float: left;
						height: 52px;
						margin-right: 5px;
						width: auto;
						.input-text {
							border: 1px solid @bordercolor;
							color: @textcolor;
							font-family: @bodyfont;
							font-size: 14px;
							font-weight: normal;
							height: 52px;
							width: 52px;
						}
					}
					.button {
						.buttonMixin();
						text-transform: none;
						font-size: 14px;
						background: linear-gradient(to bottom, @darkcolor 50%, @primarycolor 50%) no-repeat scroll right bottom / 100% 210% @darkcolor;
					}
					.variations {
						float: left;
						width: 100%;
						
						.variant {
							float: left;
							padding: 0 0 17px;
							width: 100%;
						}
						.label {
							text-align: left;							
							label {
								color: @textcolor;
								font-weight: normal;
								line-height: 27px;
								margin: 0;
							}
						}
						select {
							border: 1px solid @bordercolor;
							height: 40px;
							line-height: 40px;
							padding-left: 15px;
							margin-right: 10px;
							width: 100%;
						}
						.reset_variations {
							line-height: 27px;
						}
					}
					.single_variation {
						float: left;
						margin-bottom: 15px;
						width: 100%;
						
						.price {
							color: @textcolor;
							
							del {
								color: @greycolor;
								font-size: 18px;
								text-decoration: line-through;
							}
							ins {
								color: @primarycolor;
								font-size: 24px;
								text-decoration: none;
							}
						}
					}
				}
				.product_meta {
					display: none;
				}
				.yith-wcwl-add-to-wishlist {
					color: @greycolor;
					float: left;
					font-size: 12px;
					margin: 0;
					width: 100%;
					
					.feedback {
						display: none;
					}
					a {
						color: @greycolor;
						float: left;
						text-decoration: underline;
						
						&:hover {
							color: @primarycolor;
						}
					}
				}
			}
			.quick-desc {
				border-bottom: 1px solid @bordercolor;
				margin: 0 0 15px;
				padding: 0 0 15px;
				font-size: 12px;
				ul, ol {
					margin: 0 0 10px;
					padding: 0;
					
					li {
						list-style: none;
						margin: 0 0 5px;
						
						&:before {
							content: "\f00c";
							display: inline-block;
							font-family: FontAwesome;
							margin-right: 6px;
						}
					}
				}
			}
		}
		.widget {			
			.widget-title {
				margin: 0 0 5px;
				text-transform: capitalize;
				font-weight: normal;
				display: inline-block;
				font-size: 12px;
			}
			.social-icons {
				margin: 0;
				padding: 0;
				display: inline-block;
				li {
					display: inline-block;
					list-style: none;
					margin:0 10px;
					
					.social-icon {
						display: inline-block;
						font-size: 16px;
						text-align: center;
						&:hover {
							color: @lightcolor;
						}
						&.facebook {
							&:hover {
								color: #3B579D;
							}
						}
						&.twitter {
							&:hover {
								color: #3ACAFF;
							}
						}
						&.pinterest {
							&:hover {
								color: #CB2027;
							}
						}
						&.tumblr {
							&:hover {
								color: #304E6C;
							}
						}
						&.gplus {
							&:hover {
								color: #D11717;
							}
						}
						&.linkedin {
							&:hover {
								color: #0097BD;
							}
						}
					}
				}
			}
		}
	}
}
/* top cart */
.widget_shopping_cart{
	float: right;
}
.woocommerce .widget_shopping_cart .total, .woocommerce.widget_shopping_cart .total{
	border-top: 0;
}
.topcart{
	float: right;
	position: relative;
	margin-left: 35px;
	min-height: 60px;
	.icon-cart-header{
		.icon{
		    font-size: 18px;
		    color: #1f1f1f;
		    line-height: 90px;
		    cursor: pointer;
		    display: block;
		}
	}
	.cart-toggler{
		display: inline-block;
		color: @menucolor; 
	}
	.topcart_content{
		position: absolute;
		top: 100%;
		right: -60px;
		display:none;
		width: 370px;
		z-index: 1000;
		background: @lightcolor;
		padding: 30px;
		border: 1px solid @bordercolor;
		.product_list_widget{
			overflow: auto;
			max-height: 255px;
			position: relative;
			.mini_cart_item{
				padding-right: 2em;
				padding-left: 0;
				padding-bottom: 15px;
				margin-bottom: 15px;
				a.remove{
					right: 0;
					top: 5px;
					left: auto;
					font-size: 14px;
					line-height: 14px;
					color: @inputtext !important;
					&:hover{
						opacity: 0.8;
						background: none;
						color: @darkcolor !important;
					}
				}
				a{
					font-weight: 400;
					font-size: 13px;
				}
				img{
					float: left;
					margin-right: 15px;
					width: 75px;
					margin-left: 0;
				}
				.variation{
					display: none;
				}
				span.quantity{
					font-size: 14px;
					font-family: @pricefont;
				}
			}
		}
		.total{
			padding: 20px 0 0;
			border-top: 1px solid @bordercolor;
			font-weight: 500;
			color: @darkcolor;
			margin-bottom: 30px;
			strong{
				font-weight: 500;
			}
			.amount{
				float: right;
				color: @darkcolor;
				font-family: @pricefont;
			}
		}
		.buttons{
			a{
				width: 100%;
				border-right: 1px solid @lightcolor;
				text-align: center;
				font-size: 12px;
				&:first-child{
					margin-bottom: 20px;
					max-height: 50px;
					height: 50px;
					line-height: 50px;
					padding: 0;
					border: 2px solid @darkcolor;
					color: @darkcolor;
					background: linear-gradient(to bottom, @primarycolor 50%, @lightcolor 50%) no-repeat scroll right bottom / 100% 210% @lightcolor;
				}
				&:hover {
					background-position: right top;
					color: @lightcolor;
					text-shadow: none;
					border-color: @primarycolor;
				}
			}
		}
	}
}
.widget_shopping_cart_content{
	.woocommerce-mini-cart__buttons a.checkout{
		.buttonMixin();
	}
}
.woocommerce {
	.woocommerce-info{
		border-color: @primarycolor;
		&:before{
			color: @primarycolor;
		}
	}
	#customer_details{
		h3{
			font-size: 18px;
		    color: #222222;
		    position: relative;
		    text-transform: capitalize;
		    padding-bottom: 18px;
		    margin-bottom: 25px;
		    margin-top: 30px;
		    border-bottom: 1px solid @bordercolor;
		}
	}	
}
#add_payment_method #payment .payment_method_paypal .about_paypal, 
.woocommerce-checkout #payment .payment_method_paypal .about_paypal{
	line-height: 2.5;
	margin-left: 5px;
}
#add_payment_method #payment div.payment_box, 
.woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box{
	font-size: 14px;
	background-color: @bgproduct-detail;
	&:before{
		border: 1em solid @bgproduct-detail;
		border-right-color: transparent;
	    border-left-color: transparent;
	    border-top-color: transparent;
	}
}
.checkout.woocommerce-checkout #customer_details .woocommerce-account-fields .create-account .woocommerce-form__label .input-checkbox{
	margin: 6px 8px 0 0;
}
.checkout.woocommerce-checkout #customer_details .woocommerce-account-fields .create-account .woocommerce-form__label span{
	padding-left: 20px;
}
.select2-container--default .select2-search--dropdown .select2-search__field{
	height: 40px;
}
.woocommerce-checkout #payment ul.payment_methods{
	padding-right: 0;
}
